#!/bin/bash -e

. ./config

pkg upgrade -y
pkg install -y "${pkg[@]}"

# shellcheck disable=SC2174
mkdir -pm 0700 "$HOME/.ssh"
echo 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIDUccdlgUHzV+AhWDyjwcG4QwSNbybIV8MF7c6XpKQl4' >> "$HOME/.ssh/authorized_keys"

git clone --bare https://git.maby.dev/ange/.dotfiles.git ~/.dotfiles
alias c='git --git-dir=$HOME/.dotfiles --work-tree=$HOME'
c checkout -f
c config status.showUntrackedFiles no

sed '/systemctl/d' "$HOME/.bash_profile"

cat <<EOF >> "$HOME/.bash_profile"
gpg-agent
#sshd
EOF
